AlertBean (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.beans.AlertBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.beans
Class AlertBean

    java.lang.Object
      org.hyperic.hq.ui.beans.AlertBean

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RecentAlertBean

    public class AlertBean

extends java.lang.Object
implements java.io.Serializable

Bean to hold alert values from AlertValue and AlertDefinitionValue.

See Also:
  Serialized Form

Constructor Summary
`AlertBean()`
`AlertBean(java.lang.Integer id, long ctime, java.lang.Integer alertDefId, java.lang.String name, int priority, java.lang.Integer rid, java.lang.Integer type, boolean fixed, boolean acknowledgeable)`
`AlertBean(java.lang.Integer id, long ctime, java.lang.Integer alertDefId, java.lang.String name, int priority, java.lang.Integer rid, java.lang.Integer type, boolean fixed, boolean acknowledgeable, boolean canTakeAction)`

Method Summary
`java.lang.Integer` | `getAlertDefId()`
`java.lang.String` | `getComparator()`
`java.lang.String` | `getConditionFmt()` Return the formatted alert condition.
`java.lang.String` | `getConditionName()`
`long` | `getCtime()`
`java.lang.Integer` | `getId()`
`long` | `getMaxPauseTime()`
`java.lang.String` | `getName()`
`int` | `getPriority()`
`java.lang.Integer` | `getRid()`
`java.lang.String` | `getThreshold()`
`java.lang.Integer` | `getType()`
`java.lang.String` | `getValue()`
`boolean` | `isAcknowledgeable()`
`boolean` | `isAcknowledgeableAndCanTakeAction()`
`boolean` | `isCanTakeAction()`
`boolean` | `isFixed()`
`boolean` | `isMultiCondition()`
`boolean` | `isViewable()`
`void` | `setAcknowledgeable(boolean acknowledgeable)`
`void` | `setAlertDefId(java.lang.Integer alertDefId)`
`void` | `setCanTakeAction(boolean canTakeAction)`
`void` | `setComparator(java.lang.String comparator)`
`void` | `setConditionName(java.lang.String conditionName)`
`void` | `setCtime(long ctime)`
`void` | `setFixed(boolean fixed)`
`void` | `setId(java.lang.Integer id)`
`void` | `setMaxPauseTime(long maxPauseTime)`
`void` | `setMultiCondition(boolean multiCondition)`
`void` | `setName(java.lang.String name)`
`void` | `setPriority(int priority)`
`void` | `setRid(java.lang.Integer rid)`
`void` | `setThreshold(java.lang.String threshold)`
`void` | `setType(java.lang.Integer type)`
`void` | `setValue(java.lang.String value)`
`void` | `setViewable(boolean viewable)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlertBean

    public AlertBean()

### AlertBean

    public AlertBean(java.lang.Integer id,
                     long ctime,
                     java.lang.Integer alertDefId,
                     java.lang.String name,
                     int priority,
                     java.lang.Integer rid,
                     java.lang.Integer type,
                     boolean fixed,
                     boolean acknowledgeable)

### AlertBean

    public AlertBean(java.lang.Integer id,
                     long ctime,
                     java.lang.Integer alertDefId,
                     java.lang.String name,
                     int priority,
                     java.lang.Integer rid,
                     java.lang.Integer type,
                     boolean fixed,
                     boolean acknowledgeable,
                     boolean canTakeAction)

Method Detail

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### getCtime

    public long getCtime()

### setCtime

    public void setCtime(long ctime)

### getAlertDefId

    public java.lang.Integer getAlertDefId()

### setAlertDefId

    public void setAlertDefId(java.lang.Integer alertDefId)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### getConditionName

    public java.lang.String getConditionName()

### setConditionName

    public void setConditionName(java.lang.String conditionName)

### getComparator

    public java.lang.String getComparator()

### setComparator

    public void setComparator(java.lang.String comparator)

### getThreshold

    public java.lang.String getThreshold()

### setThreshold

    public void setThreshold(java.lang.String threshold)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### isMultiCondition

    public boolean isMultiCondition()

### setMultiCondition

    public void setMultiCondition(boolean multiCondition)

### getRid

    public java.lang.Integer getRid()

### setRid

    public void setRid(java.lang.Integer rid)

### getType

    public java.lang.Integer getType()

### setType

    public void setType(java.lang.Integer type)

### getConditionFmt

    public java.lang.String getConditionFmt()

  Return the formatted alert condition.

### isFixed

    public boolean isFixed()

### setFixed

    public void setFixed(boolean fixed)

### isAcknowledgeableAndCanTakeAction

    public boolean isAcknowledgeableAndCanTakeAction()

### isAcknowledgeable

    public boolean isAcknowledgeable()

### setAcknowledgeable

    public void setAcknowledgeable(boolean acknowledgeable)

### getMaxPauseTime

    public long getMaxPauseTime()

### setMaxPauseTime

    public void setMaxPauseTime(long maxPauseTime)

### isViewable

    public boolean isViewable()

### setViewable

    public void setViewable(boolean viewable)

### isCanTakeAction

    public boolean isCanTakeAction()

### setCanTakeAction

    public void setCanTakeAction(boolean canTakeAction)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.